org.apache.hadoop.yarn.factory.providers

## Class RecordFactoryProvider

- java.lang.Object
- - org.apache.hadoop.yarn.factory.providers.RecordFactoryProvider

-     @InterfaceAudience.LimitedPrivate(value={"MapReduce","YARN"})
       @InterfaceStability.Unstable
      public class RecordFactoryProvider
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RecordFactory` | `getRecordFactory(org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRecordFactory

          public static RecordFactory getRecordFactory(org.apache.hadoop.conf.Configuration conf)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.